Subject: xflock4: integrate with slimlock

From: Riccardo Boninsegna <[email-masked]>
Date: Wed, 17 Apr 2019 17:36:51 +0200

Package: xfce4-session
Version: 4.12.1-3+devuan1
Severity: wishlist
File: /usr/bin/xflock4

Hello, on an otherwise fairly standard Ascii system (installed via Xfce task)
I removed xscreensaver because... I have no use for screensavers, and
xfce4-power-manager and X itself handle actual power management just fine :)

However that breaks the xflock4 command (which is associated to some hotkeys by default);
and while I was experimenting with a way to turn off the display via an hotkey
  (the usual xset dpms force off, or xset s activate,
  not working (with or without a delay), only from Xfce's hotkeys)
I found that the default DM (slim) does indeed come with a screen locker:
it was no problem to just add it to /usr/bin/xflock4
to the "another access locking utility" section, and it works fine :)

May of course be of upstream interest too...

-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 2.0 (ascii)
Release:	2.0
Codename:	ascii

Architecture: x86_64

Kernel: Linux 4.9.0-8-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)

Versions of packages xfce4-session depends on:
ii  libatk1.0-0            2.22.0-1
ii  libc6                  2.24-11+deb9u4
ii  libcairo2              1.14.8-1
ii  libdbus-1-3            1.10.22-1+devuan2
ii  libdbus-glib-1-2       0.108-2
ii  libfontconfig1         2.11.0-6.7+b1
ii  libfreetype6           2.6.3-3.2
ii  libgdk-pixbuf2.0-0     2.36.5-2+deb9u2
ii  libglib2.0-0           2.50.3-2
ii  libgtk2.0-0            2.24.31-2
ii  libice6                2:1.0.9-2
ii  libpango-1.0-0         1.40.5-1
ii  libpangocairo-1.0-0    1.40.5-1
ii  libpangoft2-1.0-0      1.40.5-1
ii  libpolkit-gobject-1-0  0.105-25+devuan0~bpo2+1
ii  libsm6                 2:1.2.2-1+b3
ii  libwnck22              2.30.7-5.1
ii  libx11-6               2:1.6.4-3+deb9u1
ii  libxfce4ui-1-0         4.12.1-2
ii  libxfce4util7          4.12.1-3
ii  libxfconf-0-2          4.12.1-1
ii  multiarch-support      2.24-11+deb9u4
ii  xfce4-settings         4.12.1-1
ii  xfconf                 4.12.1-1

Versions of packages xfce4-session recommends:
ii  dbus-x11           1.10.22-1+devuan2
ii  upower             1:0.9.23-2+devuan1.3
ii  x11-xserver-utils  7.7+7+b1
ii  xfdesktop4         4.12.3-3
ii  xfwm4              4.12.4-1
pn  xscreensaver       <none>

Versions of packages xfce4-session suggests:
pn  fortunes-mod  <none>
ii  pm-utils      1.4.1-17
ii  sudo          1.8.19p1-2.1

-- no debconf information